# POST /email/save-attachment

**Resource:** [Email](./email.md)  
**MCP tool:** `save_email_attachment`  
**Scopes:** `email:read`, `files:write`  
**Write operation:** yes

Save an email attachment to the workspace files.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `thread_id` | body | string | yes |  |
| `attachment_id` | body | string | yes |  |
| `folder_id` | body | string | no |  |

## Request example

```bash
curl -X POST   "https://api.trustpager.com/functions/v1/api/v1/email/save-attachment"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"thread_id":"...","attachment_id":"...","folder_id":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`